<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:cpotlk="http://fluorite.halfmoon.jp/SoftwareManager/CompleteGetter/OutDomainLink" xmlns:html="http://www.w3.org/1999/xhtml">
  <xsl:template match="/cpotlk:document">
    <ul class="css_outlink_ul">
      <xsl:apply-templates select="//cpotlk:li">
        <xsl:sort select="cpotlk:saved/html:a/@href" order="ascending" data-type="text" />
      </xsl:apply-templates>
    </ul>
  </xsl:template>
  <xsl:template match="cpotlk:li">
    <li>
      <div class="css_div_local_page">
        <xsl:call-template name="discribe_local_page" />
      </div>
      <div>
        <ul>
          <li class="css_li_web_page">
            <xsl:call-template name="discribe_web_page" />
          </li>
          <li class="css_li_linked_page">
            <xsl:call-template name="discribe_linked_page" />
          </li>
        </ul>
      </div>
      <br />
    </li>
  </xsl:template>
  <xsl:template name="discribe_local_page">
    <xsl:element name="a">
      <xsl:attribute name="title">ۑy[W</xsl:attribute>
      <xsl:attribute name="href">
        <xsl:value-of select="cpotlk:saved/html:a/@href" />
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="cpotlk:saved/@title != ''">
          <xsl:value-of select="cpotlk:saved/@title" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="cpotlk:saved/html:a" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>
  </xsl:template>
  <xsl:template name="discribe_web_page">
    <xsl:element name="a">
      <xsl:attribute name="title">ۑURL</xsl:attribute>
      <xsl:attribute name="href">
        <xsl:value-of select="cpotlk:dest/html:a/@href" />
      </xsl:attribute>
      <xsl:value-of select="cpotlk:dest" />
    </xsl:element>
  </xsl:template>
  <xsl:template name="discribe_linked_page">
    <div>
      <span>N̐F</span>
      <xsl:value-of select="cpotlk:source/@type" />
    </div>
    <div>
      <xsl:for-each select="cpotlk:source/html:span">
        <xsl:element name="a">
          <xsl:attribute name="title">̃y[WփNĂy[WʑŊJ܂</xsl:attribute>
          <xsl:attribute name="target">_blank</xsl:attribute>
          <xsl:attribute name="href">
            <xsl:value-of select="@title" />
          </xsl:attribute>
          <xsl:value-of select="@title" />
        </xsl:element>
        <xsl:text>, </xsl:text>
      </xsl:for-each>
    </div>
  </xsl:template>
</xsl:stylesheet>